Subject: bug#21568: [PATCH] Add prettify-symbols-alist for js-mode

From: Dmitry Gutov <[email-masked]>
Date: Sun, 27 Sep 2015 11:50:20 +0300

On 09/27/2015 11:39 AM, Eli Zaretskii wrote:

> I just added a few recommendations to CONTRIBUTE about that.

Thank you, but as long as that's true:

"As of Emacs 24.4, it is no longer necessary to have
explicit 'coding' cookies in *.el files if they are encoded in UTF-8,
but other files need them even if encoded in UTF-8.  And even for *.el
files, having an explicit encoding specification facilitates correct
display of non-ASCII characters when the file is visited in older
Emacs versions."

...we really shouldn't bother contributors with that detail, not should 
we annotate code Elisp files with explicit cookies. Use UTF-8 in them, 
it works fine in Emacs 24.4+, end of story.

If anyone's working on Emacs master using 24.3 or earlier, I'm sure 
there are other footguns they can encounter as well.